Bug 1259874 - SIGSGEV during rpm transaction
SIGSGEV during rpm transaction
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 13:04 EDT by David Shea
Modified: 2016-10-12 05:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-12 05:40:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Shea 2015-09-03 13:04:39 EDT
Description of problem:
lorax crashes with SIGSEGV while attempting to run the rpm transaction. The crash occurs in fpLookupSubdir, at the line

if (fp->subDirId == 0)

The call to rpmts_Run comes from dnf, from lorax's call to dnf.base.Base.do_transaction.

This is blocking rawhide composes.

Here is the core file: https://dshea.fedorapeople.org/lorax-crash.core.xz

Version-Release number of selected component (if applicable):
rpm-4.12.90-7.fc24.x86_64
dnf-1.1.1-1.fc24.noarch
lorax-24.2-1.fc24.x86_64

How reproducible:
always

Steps to Reproduce:
lorax -p Fedora -v 24 -r 24 -s https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-/compose/Everything/x86_64/os --logfile=lorax-build.log f24-lorax
Comment 1 Florian Festi 2015-09-04 03:59:50 EDT
Hmmm, can you please double check the version of rpm you use. rpm-4.12.90-7.fc24.x86_64 is in rawhide for weeks while I actually updated rpm on Wednesday to rpm-4.13.0-0.rc1.1.
Comment 2 David Shea 2015-09-04 08:15:22 EDT
Upgraded to rpm-4.13.0-0.rc1.1.fc24.x86_64. I had run a dnf upgrade before all of this so I'm not sure what was holding it back the first time.

Same crash, new core file: https://dshea.fedorapeople.org/lorax-crash-2.core.xz
Comment 3 Florian Festi 2015-09-07 13:55:10 EDT
Couldn't really pinpoint the problem yet. But if I use a --cachedir the error goes away (just to reveal others). This is really annoying (as I have to download all the packages over and over again during testing) and hints that there might be something outside of rpm broken
Comment 4 Brian Lane 2015-09-09 15:07:47 EDT
I can reproduce this on a f22 host with:
rpm-4.12.0.1-12.fc22.x86_64
dnf-1.1.0-2.fc22.noarch
master branch of lorax

It happens if I use the kojipkgs repo above, but does not happen if I use http://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/x86_64/os/

So this may be a problem with how the rpms or repo are created.
Comment 5 Brian Lane 2015-09-09 15:24:33 EDT
Ok, sorry for being slow, this bug 1208296, switch to http and it works.
Comment 6 Jan Kurik 2016-02-24 08:42:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 7 Panu Matilainen 2016-10-12 05:40:48 EDT
Looking at bug 1208296... multiple processes/threads, curl which like rpm also uses NSS which is notoriously picky over forks and the like, and switching from https to http "fixing" it.

Life's too short to debug these things when there's a working solution (by removing the unnecessary multiprocessing in lorax) deployed for more than a year now.

Note You need to log in before you can comment on or make changes to this bug.